unit StoryThread;

interface

uses
  SysUtils, Classes, YPFKernel2;

type
  TStory = class(TThread)
  private
  public
    StoryEngine: TYPFGeneral;
    procedure Synchronizer(Method: TThreadMethod);
  protected
    procedure Execute; override;
  end;

implementation

procedure TStory.Execute;
var filename: String;
begin
  StoryEngine := TYPFGeneral.Create;
  StoryEngine.ReadFile('title.mle');
  while StoryEngine.NextFile <> 'end' do
  begin
    filename := StoryEngine.NextFile;
    StoryEngine.ReadFile(filename);
  end;
  StoryEngine.Free;
end;

{ --- VCL }
procedure TStory.Synchronizer(Method: TThreadMethod);
begin
  Synchronize(Method);
end;

end.
