unit configwin;

interface

uses
  SysUtils, Classes, QGraphics, QForms, QDialogs,
  QStdCtrls, QControls, QExtCtrls;

type
  TFumiConfig = class(TForm)
    Button1: TButton;
    CheckBox1: TCheckBox;
    Bevel1: TBevel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    CheckBox2: TCheckBox;
    Bevel2: TBevel;
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    ComboBox3: TComboBox;
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure ComboBox3Change(Sender: TObject);
  private
    { Private  }
  public
    constructor Create(AOwner: TComponent); override;
  end;

var
  FumiConfig: TFumiConfig;

implementation

{$R *.xfm}

uses ypf_main, meswin;

{ --- 󤹤Ȥ餯 }
constructor TFumiConfig.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  ComboBox1.Items := Screen.Fonts;
  ComboBox2.Items := Screen.Fonts;
  ComboBox3.Items := Screen.Fonts;
end;

procedure TFumiConfig.CheckBox2Click(Sender: TObject);
begin
  PenpalMain.MidiPlayFlag := CheckBox2.Checked;
  if CheckBox2.Checked = True then
  begin
    if PenpalMain.MusicFlag = True then
    begin
      {-- PenpalMain.MIDIPlayer.Notify  := True; --}
      {-- PenpalMain.MIDIPlayer.Play; --}
    end;
  end
  else begin
    if PenpalMain.MusicFlag = True then
      {-- PenpalMain.MIDIPlayer.Stop; --}
  end;
end;

procedure TFumiConfig.CheckBox1Click(Sender: TObject);
begin
  PenpalMain.MesWinFlag := CheckBox1.Checked;
  if PenpalMain.MesWinVisible = False then Exit;
  if CheckBox1.Checked = False then
  begin
    PenpalMain.MainMessage.Visible := True;
    MessageWindow.Visible := False;
  end
  else begin
    PenpalMain.MainMessage.Visible := False;
    MessageWindow.Visible := True;
  end;
end;

procedure TFumiConfig.Button1Click(Sender: TObject);
begin
  Hide;
end;

procedure TFumiConfig.ComboBox1Change(Sender: TObject);
begin
  if ComboBox1.ItemIndex > -1 then
  begin
    PenpalMain.MainMessage.DisplayFont.Name := ComboBox1.Text;
    MessageWindow.WinMessage.DisplayFont.Name := ComboBox1.Text;
  end;
end;

procedure TFumiConfig.ComboBox2Change(Sender: TObject);
begin
  if ComboBox2.ItemIndex > -1 then
  begin
    PenpalMain.PostLetter.DisplayFont.Name := ComboBox2.Text;
  end;
end;

procedure TFumiConfig.ComboBox3Change(Sender: TObject);
begin
  if ComboBox3.ItemIndex > -1 then
  begin
    PenpalMain.Writeing.DisplayFont.Name := ComboBox3.Text;
    PenpalMain.CarbonCopy.DisplayFont.Name := ComboBox3.Text;
  end;
end;

end.
