unit ypf_select;

interface

uses
  SysUtils, Classes, QGraphics, QForms, QDialogs,
  QControls, QStdCtrls, QExtCtrls, euc2uni;

type
  TSelecter = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    Panel5: TPanel;
    Panel6: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    procedure Panel1StartDrag(Sender: TObject;
      var DragObject: TDragObject);
    procedure Panel1EndDrag(Sender, Target: TObject; X, Y: Integer);
  private
    { Private  }
  public
    procedure ItemClear;
    procedure ItemAdd(ItemName: String; flag: Longint);
  end;

var
  Selecter: TSelecter;
  ItemNumber: Integer;

implementation

{-- uses ypf_select; --}

{$R *.xfm}

procedure TSelecter.Panel1StartDrag(Sender: TObject;
  var DragObject: TDragObject);
begin  Canvas.Brush.Style := bsSolid;
  TPanel(Sender).Color := clLime;
end;

procedure TSelecter.Panel1EndDrag(Sender, Target: TObject; X, Y: Integer);
begin
  TPanel(Sender).Color := clBtnFace;
end;

{----- ܥ̾Ͽط -----}
procedure TSelecter.ItemClear;
begin
  ItemNumber := 0;
  Selecter.Height := 54;
end;

procedure TSelecter.ItemAdd(ItemName: String; flag: Longint);
var
   StrCnv  : TE2Uni;
   UniItem : WideString;
   win_h : Integer;
begin
  StrCnv := TE2Uni.Create;
  UniItem := StrCnv.CnvStrCache(ItemName);
  if ItemNumber < 6 then
  begin
    ItemNumber := ItemNumber + 1;
    case ItemNumber of
      1 : begin
        Label1.tag := flag;
        Label1.Caption := UniItem;
        end;
      2 : begin
        Label2.tag := flag;
        Label2.Caption := UniItem;
        end;
      3 : begin
        Label3.tag := flag;
        Label3.Caption := UniItem;
        end;
      4 : begin
        Label4.tag := flag;
        Label4.Caption := UniItem;
        end;
      5 : begin
        Label5.tag := flag;
        Label5.Caption := UniItem;
        end;
      6 : begin
        Label6.tag := flag;
        Label6.Caption := UniItem;
        end;
    end;
    win_h := 54 + ((ItemNumber - 1) * 48);
    Constraints.MaxHeight := win_h;
    Constraints.MinHeight := win_h;
    Height := win_h;
    ClientHeight := win_h;
  end;
  StrCnv.Free;
end;

end.
